Indexers - Reset Docs
Resets specific documents in the datasource to be selectively re-ingested by the indexer.
POST https:///indexers('{indexerName}')/search.resetdocs?api-version=2025-11-01-preview
POST https:///indexers('{indexerName}')/search.resetdocs?api-version=2025-11-01-preview&overwrite={overwrite}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
indexer
|
path | True |
string |
The name of the indexer. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
overwrite
|
query |
boolean |
If false, keys or ids will be appended to existing ones. If true, only the keys or ids in this payload will be queued to be re-ingested. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Accept | True |
The Accept header. |
|
| x-ms-client-request-id |
string (uuid) |
An opaque, globally-unique, client-generated string identifier for the request. |
Request Body
| Name | Type | Description |
|---|---|---|
| datasourceDocumentIds |
string[] |
datasource document identifiers to be reset |
| documentKeys |
string[] |
document keys to be reset |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
There is no content to send for this request, but the headers may be useful. |
|
| Other Status Codes |
An unexpected error response. |
Security
api-key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| https://search.azure.com/.default |
Examples
SearchServiceResetDocs
Sample request
POST https:///indexers('myindexer')/search.resetdocs?api-version=2025-11-01-preview&overwrite=True
{
"documentKeys": [
"1",
"2",
"3"
]
}
Sample response
Definitions
| Name | Description |
|---|---|
| Accept |
The Accept header. |
|
Document |
The type of the keysOrIds. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
Accept
The Accept header.
| Value | Description |
|---|---|
| application/json;odata.metadata=minimal |
DocumentKeysOrIds
The type of the keysOrIds.
| Name | Type | Description |
|---|---|---|
| datasourceDocumentIds |
string[] |
datasource document identifiers to be reset |
| documentKeys |
string[] |
document keys to be reset |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |